package com.becan.pi.audio;

import java.net.ServerSocket;
import java.net.Socket;

public class Main {

	private static int PORT = 10000;
	private static int PREBUFFER = 2000;

	public static void main(String[] args) {

		for (int i = 0; i < args.length - 1; i++) {
			if (args[i].compareTo("--port") == 0) {
				try {
					PORT = Integer.parseInt(args[i + 1]);
				} catch (Exception e) {
				}
			}
			if (args[i].compareTo("--prebuffer") == 0) {
				try {
					PREBUFFER = Integer.parseInt(args[i + 1]);
				} catch (Exception e) {
				}
			}
		}

		try {
			@SuppressWarnings("resource")
			ServerSocket socket = new ServerSocket(PORT);
			while (true) {
				Socket connection = socket.accept();
				Player player = new Player(connection, PREBUFFER);
				player.start();
			}
		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
